<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- edited with XMLSPY v2004 rel. 4 U (http://www.xmlspy.com) by licensed user (E.S.O.) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<title>OB Difference</title>
				<link rel="stylesheet" href="diffOB.css"/>		
				<style type="text/css">
					h5 { font-family: Arial;	font-size: normal; color: black;	text-align: left;}
					th {	font-family: Arial;	font-size: 12pt;	font-style: bold; color: black; 	text-align: left;}
					.equal {	font-family: Arial;	font-size: 12pt;	color: black;	}
					.changed {font-family: Arial;font-size: 12pt;color: blue}
					.added {font-family: Arial;font-size: 12pt;color: green}
					.deleted {font-family: Arial;font-size: 12pt;color: red}				
				</style>		
			</head>
			<body>
				<TABLE width="100%" border="0">
					<TR>
						<th>OB Properties </th>
						<TH/>
						<TH>1st OB</TH>
						<TH>2nd OB</TH>
						<TH>Status</TH>
					</TR>
					<xsl:apply-templates select="//OBProps/*"/>
					<tr>
						<th>Target</th>
					</tr>
					<TR>
						<th/>
						<TH/>
						<TH/>
						<TH/>
						<TH/>
					</TR>
					<xsl:apply-templates select="//TargetProps/*"/>
					<tr>
						<th>Finding Charts</th>
					</tr>
					<TR>
						<th/>
						<TH/>
						<TH/>
						<TH/>
						<TH/>
					</TR>
					<xsl:apply-templates select="//FindingChartProps/*"/>
					<tr>
						<th>Time Intervals</th>
					</tr>
					<TR>
						<th/>
						<TH/>
						<TH/>
						<TH/>
						<TH/>
					</TR>
					<xsl:apply-templates select="//TimeIntervalProps/*"/>
					<tr>
						<th>Sideral Time Intervals</th>
					</tr>
					<TR>
						<th/>
						<TH/>
						<TH/>
						<TH/>
						<TH/>
					</TR>
					<xsl:apply-templates select="//STTimeIntervalProps/*"/>
					<tr>
						<th>Constraints</th>
					</tr>
					<TR>
						<th/>
						<TH/>
						<TH/>
						<TH/>
						<TH/>
					</TR>
					<xsl:apply-templates select="//ConstraintSetProps/*"/>
					<tr>
						<th>Ephemeris File</th>
					</tr>
					<TR>
						<th/>
						<TH/>
						<TH/>
						<TH/>
						<TH/>
					</TR>
					<xsl:apply-templates select="//EphemerisFileProps/*"/>
					<tr>
						<th>Acquisition Template</th>
					</tr>
					<TR>
						<TH/>
						<th/>
						<TH/>
						<TH/>
						<TH/>
					</TR>
					<xsl:apply-templates select="//AcquisitionTemplate/*"/>
					<tr>
						<th>
							<br/>
						</th>
					</tr>
					<tr>
						<th>Observation Description</th>
					</tr>
					<TR>
						<th/>
						<TH/>
						<TH/>
						<TH/>
						<TH/>
					</TR>
					<xsl:apply-templates select="//ObservationDescription/*"/>
					<tr>
						<th>Templates</th>
					</tr>
					<xsl:apply-templates select="//TemplateSignature/*"/>
				</TABLE>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="node()">
		<TR>
			<xsl:if test="Status = 'Equal'">
				<xsl:attribute name="class"><xsl:text>equal</xsl:text></xsl:attribute>
			</xsl:if>
			<xsl:if test="Status = 'Changed'">
				<xsl:attribute name="class"><xsl:text>changed</xsl:text></xsl:attribute>
			</xsl:if>
			<xsl:if test="Status = 'Added'">
				<xsl:attribute name="class"><xsl:text>added</xsl:text></xsl:attribute>
			</xsl:if>
			<xsl:if test="Status = 'Deleted'">
				<xsl:attribute name="class"><xsl:text>deleted</xsl:text></xsl:attribute>
			</xsl:if>
			<td/>
			<TD>
				<xsl:value-of select="Label"/>
			</TD>
			<TD>
				<xsl:value-of select="Value1"/>
			</TD>
			<TD>
				<xsl:value-of select="Value2"/>
			</TD>
			<TD>
				<xsl:value-of select="Status"/>
			</TD>
		</TR>
	</xsl:template>
	<xsl:template match="DisplayParameter">
		<xsl:if test="count(DisplayParameter/ParameterName) >0 ">
			<TR>
				<th>Template parameters</th>
				<TH/>
				<TH/>
				<TH/>
				<TH/>
			</TR>
		</xsl:if>
		<tr>
			<xsl:if test="Value/Status = 'Equal'">
				<xsl:attribute name="class"><xsl:text>equal</xsl:text></xsl:attribute>
			</xsl:if>
			<xsl:if test="Value/Status = 'Changed'">
				<xsl:attribute name="class"><xsl:text>changed</xsl:text></xsl:attribute>
			</xsl:if>
			<xsl:if test="Value/Status = 'Added'">
				<xsl:attribute name="class"><xsl:text>added</xsl:text></xsl:attribute>
			</xsl:if>
			<xsl:if test="Value/Status = 'Deleted'">
				<xsl:attribute name="class"><xsl:text>deleted</xsl:text></xsl:attribute>
			</xsl:if>
			<td>
				<xsl:value-of select="ParameterName/Value1"/>
			</td>
			<td>
				<xsl:value-of select="Value/Value1"/>
			</td>
			<td>
				<xsl:value-of select="ParameterName/Value2"/>
			</td>
			<td>
				<xsl:value-of select="Value/Value2"/>
			</td>
			<td>
				<xsl:value-of select="Value/Status"/>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>
